"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = __importDefault(require("../src"));
if (!process.env.APIKEY)
    throw new Error("Please provide APIKEY");
const client = new src_1.default.publicAPI(process.env.APIKEY);
client.currentBalance().then((balance) => {
    if (balance instanceof Error)
        return console.error(balance.message);
    console.log(`Saldo saat ini: ${balance}`);
});
client.quantityGiven("email").then((qty) => {
    if (qty instanceof Error)
        return console.error(qty.message);
    console.log(`Jumlah donasi: ${qty}`);
});
client.supportHistory().then((history) => {
    var _a;
    console.log((_a = history.result) === null || _a === void 0 ? void 0 : _a.data.map((donation) => donation.supporter_name));
});
client.transactionHistory().then((history) => {
    var _a;
    console.log((_a = history.result) === null || _a === void 0 ? void 0 : _a.data.map((transaction) => transaction.support_message));
});
