"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("../src/index"));
if (!process.env.PAGEID || !process.env.STREAM_APIKEY)
    throw new Error("Please provide PAGEID and STREAM_APIKEY");
const client = new index_1.default.streamAPI(process.env.PAGEID, process.env.STREAM_APIKEY);
// check if connected
client.on("connect", (ts) => __awaiter(void 0, void 0, void 0, function* () {
    console.log("Berhasil terkoneksi dengan API Trakteer pada " + ts.toLocaleTimeString());
    // cek donasi
    client.on("donation", (donation) => {
        console.log(`Donasi baru dari ${donation.supporter_name}!`);
        console.log(`Pesan: ${donation.supporter_message}!`);
    });
    const myGoal = yield client.getGoal();
    console.log(`Goal: ${myGoal.target}!`);
    console.log(`Target : ${myGoal.target}`);
    const leaderboard = yield client.getLeaderboard();
    console.log(leaderboard.supporter.map((supporter) => `${supporter.supporter_name}\n${supporter.sum}`));
    const supporters = yield client.getSupporter(10);
    if (supporters.length !== 0) {
        console.log(supporters.map((supporter) => `${supporter.display_name} mendonasikan ${supporter.quantity}`));
    }
}));
