import { supportHistory, transactionHistory } from "../interfaces";
/**
 * Public API - Use the official API From trakteer
 * @see https://trakteer.id/manage/api-trakteer
 */
export declare class publicAPI {
    APIkey?: string;
    private proxy?;
    private userAgent?;
    private axiosClient;
    constructor(apiKey: string, proxy?: string, userAgent?: string);
    /**
     * API ini digunakan untuk melihat jumlah unit trakteer-an yang telah diberikan oleh supporter (berdasarkan email) selama 30 hari terakhir.
     * @param email Supporter Email
     * @returns is unknown, please open issue if you have one example.
     */
    quantityGiven(email: string): Promise<number | Error>;
    /**
     * API ini digunakan untuk mendapatkan riwayat trakteer-an yang diberikan oleh supporter.
     * @param limit Number of records
     * @param page Current page in paginated records
     * @returns support history
     */
    supportHistory(limit?: number, page?: number): Promise<supportHistory>;
    /**
     * API ini digunakan untuk melihat jumlah saldo yang dimiliki.
     * @returns Amount of balance
     */
    currentBalance(): Promise<number | Error>;
    transactionHistory(limit?: number, page?: number): Promise<transactionHistory>;
}
