"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Cache {
    constructor() {
        this.cache = new Map();
        setInterval(() => {
            this.refreshAllCache();
        }, 5000);
    }
    get(key) {
        return this.cache.get(key);
    }
    set(key, value, expireTime = 15000) {
        this.cache.set(key, {
            data: value,
            createdAt: Date.now(),
            expiresAt: Date.now() + expireTime,
        });
    }
    refreshAllCache() {
        this.cache.forEach((value, key) => {
            if (value.expiresAt <= Date.now())
                this.cache.delete(key);
        });
    }
}
exports.default = new Cache();
